local t = Def.ActorFrame {
	LoadSongBackground() .. {
		Condition=not GAMESTATE:IsCourseMode();
		OnCommand=cmd(diffusealpha,1;sleep,0.5;linear,0.5;diffusealpha,0);
	};
	
	-- [v1.4] stuff for course mode
	Def.Quad{
		Condition=GAMESTATE:IsCourseMode();
		InitCommand=cmd(FullScreen;diffuse,color("0,0,0,0"));
		OnCommand=cmd(sleep,0.5;linear,0.5;diffusealpha,0);
	};
};

return t;